# Microsoft Visual C++ generated build script - Do not modify

PROJ = NEWSCLI
DEBUG = 1
PROGTYPE = 0
CALLER = 
ARGS = 
DLLS = 
D_RCDEFINES = /d_DEBUG 
R_RCDEFINES = /dNDEBUG 
ORIGIN = MSVC
ORIGIN_VER = 1.00
PROJPATH = C:\SOURCE\NEWSCLI\MSVC16\
USEMFC = 0
CC = cl
CPP = cl
CXX = cl
CCREATEPCHFLAG = 
CPPCREATEPCHFLAG = 
CUSEPCHFLAG = 
CPPUSEPCHFLAG = 
FIRSTC =             
FIRSTCPP = NEWSART.CPP 
RC = rc
CFLAGS_D_WEXE = /nologo /G2 /W3 /Zi /AM /Od /D "_DEBUG" /D "STRICT" /I ".." /I "..\..\common" /FR /GA /Fd"NEWSCLI.PDB"
CFLAGS_R_WEXE = /nologo /W3 /AM /O1 /D "NDEBUG" /D "STRICT" /I ".." /I "..\..\common" /FR /GA 
LFLAGS_D_WEXE = /NOLOGO /ONERROR:NOEXE /NOD /PACKC:61440 /CO /ALIGN:16 /STACK:10240
LFLAGS_R_WEXE = /NOLOGO /ONERROR:NOEXE /NOD /PACKC:61440 /ALIGN:16 /STACK:10240
LIBS_D_WEXE = oldnames libw commdlg shell olecli olesvr mlibcew
LIBS_R_WEXE = oldnames libw commdlg shell olecli olesvr mlibcew
RCFLAGS = /nologo /i .. /i ..\..\common 
RESFLAGS = /nologo 
RUNFLAGS = 
DEFFILE = NEWSCLI.DEF
OBJS_EXT = 
LIBS_EXT = ..\..\MSVCLIBS\WINSOCK.LIB ..\..\MSVCLIBS\CTL3DV2.LIB 
!if "$(DEBUG)" == "1"
CFLAGS = $(CFLAGS_D_WEXE)
LFLAGS = $(LFLAGS_D_WEXE)
LIBS = $(LIBS_D_WEXE)
MAPFILE = nul
RCDEFINES = $(D_RCDEFINES)
!else
CFLAGS = $(CFLAGS_R_WEXE)
LFLAGS = $(LFLAGS_R_WEXE)
LIBS = $(LIBS_R_WEXE)
MAPFILE = nul
RCDEFINES = $(R_RCDEFINES)
!endif
!if [if exist MSVC.BND del MSVC.BND]
!endif
SBRS = NEWSART.SBR \
		NEWSCLI.SBR \
		NEWSGRP.SBR \
		CASYNCDB.SBR \
		CCONNMGR.SBR \
		CHOST.SBR \
		CNNTP.SBR \
		CSOCKADR.SBR \
		CSOCKET.SBR \
		CWINSOCK.SBR \
		PARSDATE.SBR \
		UTILITY.SBR \
		CLIST.SBR


WINSOCK_DEP = 

CTL3DV2_DEP = 

NEWSART_DEP = c:\source\newscli\newscli.rh \
	c:\source\newscli\newsclig.h


NEWSCLI_DEP = c:\source\newscli\newscli.rh \
	c:\source\newscli\newsclig.h


NEWSGRP_DEP = c:\source\newscli\newscli.rh \
	c:\source\newscli\newsclig.h


NEWSCLI_RCDEP = 

CASYNCDB_DEP = c:\source\common\casyncdb.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\myassert.h


CCONNMGR_DEP = c:\source\common\cconnmgr.h \
	c:\source\common\csocket.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\chost.h \
	c:\source\common\casyncdb.h


CHOST_DEP = c:\source\common\chost.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\casyncdb.h \
	c:\source\common\myassert.h


CNNTP_DEP = c:\source\common\cnntp.h \
	c:\source\common\csocket.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\cconnmgr.h \
	c:\source\common\chost.h \
	c:\source\common\casyncdb.h \
	c:\source\common\cstrlist.h \
	c:\source\common\clist.h \
	c:\source\common\utility.h \
	c:\source\common\myassert.h


CSOCKADR_DEP = c:\source\common\csockadr.h \
	c:\source\common\winsock.h


CSOCKET_DEP = c:\source\common\csocket.h \
	c:\source\common\winsock.h \
	c:\source\common\cwinsock.h \
	c:\source\common\csockadr.h \
	c:\source\common\myassert.h


CWINSOCK_DEP = c:\source\common\cwinsock.h \
	c:\source\common\winsock.h \
	c:\source\common\myassert.h


PARSDATE_DEP = c:\source\common\parsdate.h


UTILITY_DEP = c:\source\common\utility.h


CLIST_DEP = c:\source\common\clist.h \
	c:\source\common\myassert.h


all:	$(PROJ).EXE $(PROJ).BSC

NEWSART.OBJ:	..\NEWSART.CPP $(NEWSART_DEP)
	$(CPP) $(CFLAGS) $(CPPCREATEPCHFLAG) /c ..\NEWSART.CPP

NEWSCLI.OBJ:	..\NEWSCLI.CPP $(NEWSCLI_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\NEWSCLI.CPP

NEWSGRP.OBJ:	..\NEWSGRP.CPP $(NEWSGRP_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\NEWSGRP.CPP

NEWSCLI.RES:	..\NEWSCLI.RC $(NEWSCLI_RCDEP)
	$(RC) $(RCFLAGS) $(RCDEFINES) -r -FoC:\SOURCE\NEWSCLI\MSVC16\NEWSCLI.RES ..\NEWSCLI.RC

CASYNCDB.OBJ:	..\..\COMMON\CASYNCDB.CPP $(CASYNCDB_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CASYNCDB.CPP

CCONNMGR.OBJ:	..\..\COMMON\CCONNMGR.CPP $(CCONNMGR_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CCONNMGR.CPP

CHOST.OBJ:	..\..\COMMON\CHOST.CPP $(CHOST_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CHOST.CPP

CNNTP.OBJ:	..\..\COMMON\CNNTP.CPP $(CNNTP_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CNNTP.CPP

CSOCKADR.OBJ:	..\..\COMMON\CSOCKADR.CPP $(CSOCKADR_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CSOCKADR.CPP

CSOCKET.OBJ:	..\..\COMMON\CSOCKET.CPP $(CSOCKET_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CSOCKET.CPP

CWINSOCK.OBJ:	..\..\COMMON\CWINSOCK.CPP $(CWINSOCK_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CWINSOCK.CPP

PARSDATE.OBJ:	..\..\COMMON\PARSDATE.CPP $(PARSDATE_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\PARSDATE.CPP

UTILITY.OBJ:	..\..\COMMON\UTILITY.CPP $(UTILITY_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\UTILITY.CPP

CLIST.OBJ:	..\..\COMMON\CLIST.CPP $(CLIST_DEP)
	$(CPP) $(CFLAGS) $(CPPUSEPCHFLAG) /c ..\..\COMMON\CLIST.CPP


$(PROJ).EXE::	NEWSCLI.RES

$(PROJ).EXE::	NEWSART.OBJ NEWSCLI.OBJ NEWSGRP.OBJ CASYNCDB.OBJ CCONNMGR.OBJ CHOST.OBJ \
	CNNTP.OBJ CSOCKADR.OBJ CSOCKET.OBJ CWINSOCK.OBJ PARSDATE.OBJ UTILITY.OBJ CLIST.OBJ $(OBJS_EXT) $(DEFFILE)
	echo >NUL @<<$(PROJ).CRF
NEWSART.OBJ +
NEWSCLI.OBJ +
NEWSGRP.OBJ +
CASYNCDB.OBJ +
CCONNMGR.OBJ +
CHOST.OBJ +
CNNTP.OBJ +
CSOCKADR.OBJ +
CSOCKET.OBJ +
CWINSOCK.OBJ +
PARSDATE.OBJ +
UTILITY.OBJ +
CLIST.OBJ +
$(OBJS_EXT)
$(PROJ).EXE
$(MAPFILE)
d:\msvc\lib\+
d:\msvc\mfc\lib\+
..\..\MSVCLIBS\WINSOCK.LIB+
..\..\MSVCLIBS\CTL3DV2.LIB+
$(LIBS)
$(DEFFILE);
<<
	link $(LFLAGS) @$(PROJ).CRF
	$(RC) $(RESFLAGS) NEWSCLI.RES $@
	@copy $(PROJ).CRF MSVC.BND

$(PROJ).EXE::	NEWSCLI.RES
	if not exist MSVC.BND 	$(RC) $(RESFLAGS) NEWSCLI.RES $@

run: $(PROJ).EXE
	$(PROJ) $(RUNFLAGS)


$(PROJ).BSC: $(SBRS)
	bscmake @<<
/o$@ $(SBRS)
<<
